Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.univrennes1.cri.util.ldapUtils
Class ESUP_LDAPEntry

    java.lang.Object
      fr.univrennes1.cri.util.ldapUtils.ESUP_LDAPEntry

public class ESUP_LDAPEntry
extends java.lang.Object

Constructor Summary
`ESUP_LDAPEntry(java.lang.String dn)`
`ESUP_LDAPEntry(java.lang.String dn, ESUP_LDAPAttributes attributes)`

Method Summary
`void` | `addAttribute(java.lang.String name, java.util.Vector values)` Adds a new attribut with its values
`ESUP_LDAPAttributes` | `getAttributes()`
`ESUP_LDAPAttribute` | `getLdapAttribute(java.lang.String attributeName)` Return the attribute
`java.lang.String` | `toString()` Returns a String representation of the entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ESUP_LDAPEntry

    public ESUP_LDAPEntry(java.lang.String dn,
                          ESUP_LDAPAttributes attributes)

### ESUP_LDAPEntry

    public ESUP_LDAPEntry(java.lang.String dn)

Method Detail

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.util.Vector values)

  Adds a new attribut with its values

  Parameters:
    `name` - the attribut name
    `values` - the attribut values

### getAttributes

    public ESUP_LDAPAttributes getAttributes()

  Returns:
    Returns the attributes as a _LDAPAttributes

### getLdapAttribute

    public ESUP_LDAPAttribute getLdapAttribute(java.lang.String attributeName)

  Return the attribute

  Parameters:
    `attributeName` - attribute to return
  Returns:

### toString

    public java.lang.String toString()

  Returns a String representation of the entry

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD